org.crosswire.jsword.index.lucene

## Class LuceneQueryDecorator

- java.lang.Object
- - org.crosswire.jsword.index.lucene.LuceneQueryDecorator

- All Implemented Interfaces:
    QueryDecorator

      public class LuceneQueryDecorator
      extends Object
      implements QueryDecorator

  LuceneQueryDecorator represents the extension of stock Lucene syntax with passage ranges and with blurring (searching in nearby verses).
  Author:
    DM Smith
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static char` | `CLOSE`
    `private static char` | `FUZZY`
    `private static String` | `FUZZY_SPACE`
    `private static char` | `MINUS`
    `private static char` | `OPEN`
    `private static char` | `PLUS`
    `private static char` | `QUOTE`
    `private static String` | `SPACE` In our parsing we use space quite a lot and this ensures there is only one.
    `private static String` | `SPACE_MINUS`
    `private static String` | `SPACE_PLUS`
    `private static char` | `WILD`
    `private static String` | `WILD_SPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LuceneQueryDecorator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `decorateAllWords(String queryWords)`
    `String` | `decorateAnyWords(String queryWords)`
    `String` | `decorateNotWords(String queryWords)`
    `String` | `decoratePhrase(String queryWords)`
    `String` | `decorateRange(String queryWords)`
    `String` | `decorateSpellWords(String queryWords)`
    `String` | `decorateStartWords(String queryWords)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SPACE

          private static final String SPACE

      In our parsing we use space quite a lot and this ensures there is only one.
      See Also:
        Constant Field Values

    - #### QUOTE

          private static final char QUOTE

      See Also:
        Constant Field Values

    - #### PLUS

          private static final char PLUS

      See Also:
        Constant Field Values

    - #### SPACE_PLUS

          private static final String SPACE_PLUS

      See Also:
        Constant Field Values

    - #### MINUS

          private static final char MINUS

      See Also:
        Constant Field Values

    - #### SPACE_MINUS

          private static final String SPACE_MINUS

      See Also:
        Constant Field Values

    - #### OPEN

          private static final char OPEN

      See Also:
        Constant Field Values

    - #### CLOSE

          private static final char CLOSE

      See Also:
        Constant Field Values

    - #### FUZZY

          private static final char FUZZY

      See Also:
        Constant Field Values

    - #### FUZZY_SPACE

          private static final String FUZZY_SPACE

      See Also:
        Constant Field Values

    - #### WILD

          private static final char WILD

      See Also:
        Constant Field Values

    - #### WILD_SPACE

          private static final String WILD_SPACE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LuceneQueryDecorator

          public LuceneQueryDecorator()

  - ### Method Detail

    - #### decorateAllWords

          public String decorateAllWords(String queryWords)

      Specified by:
        `decorateAllWords` in interface `QueryDecorator`

    - #### decorateAnyWords

          public String decorateAnyWords(String queryWords)

      Specified by:
        `decorateAnyWords` in interface `QueryDecorator`

    - #### decoratePhrase

          public String decoratePhrase(String queryWords)

      Specified by:
        `decoratePhrase` in interface `QueryDecorator`

    - #### decorateNotWords

          public String decorateNotWords(String queryWords)

      Specified by:
        `decorateNotWords` in interface `QueryDecorator`

    - #### decorateRange

          public String decorateRange(String queryWords)

      Specified by:
        `decorateRange` in interface `QueryDecorator`

    - #### decorateSpellWords

          public String decorateSpellWords(String queryWords)

      Specified by:
        `decorateSpellWords` in interface `QueryDecorator`

    - #### decorateStartWords

          public String decorateStartWords(String queryWords)

      Specified by:
        `decorateStartWords` in interface `QueryDecorator`